#pragma once
#include "BaseForm.h"

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;


namespace ObjDataEdit
{
	/// <summary> 
	/// Summary for CreateRoleForm
	///
	/// WARNING: If you change the name of this class, you will need to change the 
	///          'Resource File Name' property for the managed resource compiler tool 
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>
#ifndef _Just_Show_DotNet_Form_
    public __gc class CreateRoleForm : public System::Windows::Forms::Form
#else 
    public __gc class CreateRoleForm : public BaseForm
#endif
	{
	public: 
        CreateRoleForm( char* FormName , char* DBName , char* OutputFile  , bool IsReadOnly , SearchFormTypeENUM FormType ) :  BaseForm( FormName , DBName , OutputFile  , IsReadOnly , FormType )
        {
            InitializeComponent();
            this->panel4_Base->Controls->Add(this->panel1);
        }       
	protected: 
		void Dispose(Boolean disposing)
		{
			if (disposing && components)
			{
				components->Dispose();
			}
			__super::Dispose(disposing);
		}
    private: System::Windows::Forms::Panel *  panel1;
	private: System::Windows::Forms::GroupBox*  groupBox1;
	private: System::Windows::Forms::Label*  label1;
	private: System::Windows::Forms::Label*  label3;
	private: System::Windows::Forms::TextBox*  textBox4;
	private: System::Windows::Forms::TextBox*  textBox3;
	private: System::Windows::Forms::TextBox*  textBox2;
	private: System::Windows::Forms::Label*  label2;
	private: System::Windows::Forms::TextBox*  textBox1;
	private: System::Windows::Forms::ComboBox*  comboBox1;
	private: System::Windows::Forms::GroupBox*  groupBox2;
	private: System::Windows::Forms::TextBox*  textBox12;
	private: System::Windows::Forms::Label*  label11;
	private: System::Windows::Forms::TextBox*  textBox13;
	private: System::Windows::Forms::Label*  label12;
	private: System::Windows::Forms::TextBox*  textBox14;
	private: System::Windows::Forms::Label*  label13;
	private: System::Windows::Forms::TextBox*  textBox15;
	private: System::Windows::Forms::Label*  label14;
	private: System::Windows::Forms::TextBox*  textBox16;
	private: System::Windows::Forms::Label*  label15;
	private: System::Windows::Forms::TextBox*  textBox17;
	private: System::Windows::Forms::Label*  label16;
	private: System::Windows::Forms::TextBox*  textBox18;
	private: System::Windows::Forms::Label*  label17;
	private: System::Windows::Forms::TextBox*  textBox11;
	private: System::Windows::Forms::Label*  label10;
	private: System::Windows::Forms::TextBox*  textBox10;
	private: System::Windows::Forms::Label*  label9;
	private: System::Windows::Forms::TextBox*  textBox9;
	private: System::Windows::Forms::Label*  label8;
	private: System::Windows::Forms::TextBox*  textBox8;
	private: System::Windows::Forms::Label*  label7;
	private: System::Windows::Forms::TextBox*  textBox7;
	private: System::Windows::Forms::Label*  label6;
	private: System::Windows::Forms::TextBox*  textBox6;
	private: System::Windows::Forms::Label*  label5;
	private: System::Windows::Forms::TextBox*  textBox5;
	private: System::Windows::Forms::Label*  label4;
	private: System::Windows::Forms::GroupBox*  groupBox3;
	private: System::Windows::Forms::Label*  LB_EQ17;

	private: System::Windows::Forms::Label*  LB_EQ15;

	private: System::Windows::Forms::Label*  LB_EQ14;

	private: System::Windows::Forms::Label*  LB_EQ13;

	private: System::Windows::Forms::Label*  LB_EQ12;

	private: System::Windows::Forms::Label*  LB_EQ11;

	private: System::Windows::Forms::Label*  LB_EQ10;

	private: System::Windows::Forms::Label*  LB_EQ9;

	private: System::Windows::Forms::Label*  LB_EQ8;
	private: System::Windows::Forms::Label*  LB_EQ16;
	private: System::Windows::Forms::Label*  LB_EQ18;






	private: System::Windows::Forms::Label*  LB_EQ7;

	private: System::Windows::Forms::Label*  LB_EQ6;

	private: System::Windows::Forms::Label*  LB_EQ5;

	private: System::Windows::Forms::Label*  LB_EQ4;

	private: System::Windows::Forms::Label*  LB_EQ3;

	private: System::Windows::Forms::Label*  LB_EQ2;

	private: System::Windows::Forms::Label*  LB_EQ1;

	private: System::Windows::Forms::TextBox*  textBox19;
	private: System::Windows::Forms::Label*  label18;
	private: System::Windows::Forms::TextBox*  textBox20;
	private: System::Windows::Forms::Label*  label19;
	private: System::Windows::Forms::TextBox*  textBox21;
	private: System::Windows::Forms::Label*  label20;
	private: System::Windows::Forms::TextBox*  textBox22;
	private: System::Windows::Forms::Label*  label21;
private: System::Windows::Forms::Label*  LB_Item10;

private: System::Windows::Forms::Label*  LB_Item9;

private: System::Windows::Forms::Label*  LB_Item8;

private: System::Windows::Forms::Label*  LB_Item7;

private: System::Windows::Forms::Label*  LB_Item6;

private: System::Windows::Forms::Label*  LB_Item5;

private: System::Windows::Forms::Label*  LB_Item4;

private: System::Windows::Forms::Label*  LB_Item3;

private: System::Windows::Forms::Label*  LB_Item2;

private: System::Windows::Forms::Label*  LB_Item1;

	private: System::Windows::Forms::TextBox*  textBox23;
	private: System::Windows::Forms::Label*  label50;
	private: System::Windows::Forms::TextBox*  textBox24;
	private: System::Windows::Forms::Label*  label51;
	private: System::Windows::Forms::TextBox*  textBox25;
	private: System::Windows::Forms::Label*  label52;
	private: System::Windows::Forms::TextBox*  textBox26;
	private: System::Windows::Forms::Label*  label53;
	private: System::Windows::Forms::TextBox*  textBox27;
	private: System::Windows::Forms::Label*  label54;
	private: System::Windows::Forms::TextBox*  textBox28;
	private: System::Windows::Forms::Label*  label55;
	private: System::Windows::Forms::TextBox*  textBox29;
	private: System::Windows::Forms::Label*  label56;
	private: System::Windows::Forms::TextBox*  textBox30;
	private: System::Windows::Forms::Label*  label57;
	private: System::Windows::Forms::TextBox*  textBox31;
	private: System::Windows::Forms::Label*  label58;
	private: System::Windows::Forms::TextBox*  textBox32;
	private: System::Windows::Forms::Label*  label59;
private: System::Windows::Forms::TextBox*  textBox33;
private: System::Windows::Forms::TextBox*  textBox39;
private: System::Windows::Forms::Label*  label65;
private: System::Windows::Forms::TextBox*  textBox40;
private: System::Windows::Forms::Label*  label66;
private: System::Windows::Forms::TextBox*  textBox41;
private: System::Windows::Forms::Label*  label67;
private: System::Windows::Forms::TextBox*  textBox42;
private: System::Windows::Forms::Label*  label68;
private: System::Windows::Forms::TextBox*  textBox43;
private: System::Windows::Forms::Label*  label69;
private: System::Windows::Forms::TextBox*  textBox38;
private: System::Windows::Forms::Label*  label64;
private: System::Windows::Forms::TextBox*  textBox37;
private: System::Windows::Forms::Label*  label63;
private: System::Windows::Forms::TextBox*  textBox36;
private: System::Windows::Forms::Label*  label62;
private: System::Windows::Forms::TextBox*  textBox35;
private: System::Windows::Forms::Label*  label61;
private: System::Windows::Forms::TextBox*  textBox34;
private: System::Windows::Forms::Label*  label60;
private: System::Windows::Forms::GroupBox*  groupBox4;

private: System::Windows::Forms::CheckedListBox*  CLB_RaceLimit;
private: System::Windows::Forms::GroupBox*  groupBox5;
private: System::Windows::Forms::Label*  LB_EQPreview8;
private: System::Windows::Forms::Label*  LB_EQPreview16;


private: System::Windows::Forms::Label*  LB_EQPreview7;











private: System::Windows::Forms::Label*  LB_EQPreview6;



private: System::Windows::Forms::Label*  LB_EQPreview5;


private: System::Windows::Forms::Label*  LB_EQPreview4;


private: System::Windows::Forms::Label*  LB_EQPreview3;


private: System::Windows::Forms::Label*  LB_EQPreview2;


private: System::Windows::Forms::Label*  LB_EQPreview1;







private: System::Windows::Forms::TextBox*  textBox46;
private: System::Windows::Forms::Label*  label42;














private: System::Windows::Forms::TextBox*  textBox54;
private: System::Windows::Forms::Label*  label70;
private: System::Windows::Forms::TextBox*  textBox55;
private: System::Windows::Forms::Label*  label71;
private: System::Windows::Forms::TextBox*  textBox56;
private: System::Windows::Forms::Label*  label72;
private: System::Windows::Forms::TextBox*  textBox57;
private: System::Windows::Forms::Label*  label73;
private: System::Windows::Forms::TextBox*  textBox58;
private: System::Windows::Forms::Label*  label74;
private: System::Windows::Forms::TextBox*  textBox59;
private: System::Windows::Forms::Label*  label75;
private: System::Windows::Forms::TextBox*  textBox60;
private: System::Windows::Forms::Label*  label76;
private: System::Windows::Forms::TextBox*  textBox61;
private: System::Windows::Forms::Label*  label77;
private: System::Windows::Forms::Label*  LB_EQPreview17;


private: System::Windows::Forms::TextBox*  textBox44;
private: System::Windows::Forms::Label*  label23;

	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>
		System::ComponentModel::Container* components;

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->panel1 = (new System::Windows::Forms::Panel());
			this->groupBox5 = (new System::Windows::Forms::GroupBox());
			this->LB_EQPreview17 = (new System::Windows::Forms::Label());
			this->textBox44 = (new System::Windows::Forms::TextBox());
			this->label23 = (new System::Windows::Forms::Label());
			this->LB_EQPreview8 = (new System::Windows::Forms::Label());
			this->LB_EQPreview16 = (new System::Windows::Forms::Label());
			this->LB_EQPreview7 = (new System::Windows::Forms::Label());
			this->LB_EQPreview6 = (new System::Windows::Forms::Label());
			this->LB_EQPreview5 = (new System::Windows::Forms::Label());
			this->LB_EQPreview4 = (new System::Windows::Forms::Label());
			this->LB_EQPreview3 = (new System::Windows::Forms::Label());
			this->LB_EQPreview2 = (new System::Windows::Forms::Label());
			this->LB_EQPreview1 = (new System::Windows::Forms::Label());
			this->textBox46 = (new System::Windows::Forms::TextBox());
			this->label42 = (new System::Windows::Forms::Label());
			this->textBox54 = (new System::Windows::Forms::TextBox());
			this->label70 = (new System::Windows::Forms::Label());
			this->textBox55 = (new System::Windows::Forms::TextBox());
			this->label71 = (new System::Windows::Forms::Label());
			this->textBox56 = (new System::Windows::Forms::TextBox());
			this->label72 = (new System::Windows::Forms::Label());
			this->textBox57 = (new System::Windows::Forms::TextBox());
			this->label73 = (new System::Windows::Forms::Label());
			this->textBox58 = (new System::Windows::Forms::TextBox());
			this->label74 = (new System::Windows::Forms::Label());
			this->textBox59 = (new System::Windows::Forms::TextBox());
			this->label75 = (new System::Windows::Forms::Label());
			this->textBox60 = (new System::Windows::Forms::TextBox());
			this->label76 = (new System::Windows::Forms::Label());
			this->textBox61 = (new System::Windows::Forms::TextBox());
			this->label77 = (new System::Windows::Forms::Label());
			this->groupBox4 = (new System::Windows::Forms::GroupBox());
			this->CLB_RaceLimit = (new System::Windows::Forms::CheckedListBox());
			this->groupBox3 = (new System::Windows::Forms::GroupBox());
			this->textBox39 = (new System::Windows::Forms::TextBox());
			this->label65 = (new System::Windows::Forms::Label());
			this->textBox40 = (new System::Windows::Forms::TextBox());
			this->label66 = (new System::Windows::Forms::Label());
			this->textBox41 = (new System::Windows::Forms::TextBox());
			this->label67 = (new System::Windows::Forms::Label());
			this->textBox42 = (new System::Windows::Forms::TextBox());
			this->label68 = (new System::Windows::Forms::Label());
			this->textBox43 = (new System::Windows::Forms::TextBox());
			this->label69 = (new System::Windows::Forms::Label());
			this->textBox38 = (new System::Windows::Forms::TextBox());
			this->label64 = (new System::Windows::Forms::Label());
			this->textBox37 = (new System::Windows::Forms::TextBox());
			this->label63 = (new System::Windows::Forms::Label());
			this->textBox36 = (new System::Windows::Forms::TextBox());
			this->label62 = (new System::Windows::Forms::Label());
			this->textBox35 = (new System::Windows::Forms::TextBox());
			this->label61 = (new System::Windows::Forms::Label());
			this->textBox34 = (new System::Windows::Forms::TextBox());
			this->label60 = (new System::Windows::Forms::Label());
			this->LB_Item10 = (new System::Windows::Forms::Label());
			this->LB_Item9 = (new System::Windows::Forms::Label());
			this->LB_Item8 = (new System::Windows::Forms::Label());
			this->LB_Item7 = (new System::Windows::Forms::Label());
			this->LB_Item6 = (new System::Windows::Forms::Label());
			this->LB_Item5 = (new System::Windows::Forms::Label());
			this->LB_Item4 = (new System::Windows::Forms::Label());
			this->LB_Item3 = (new System::Windows::Forms::Label());
			this->LB_Item2 = (new System::Windows::Forms::Label());
			this->LB_Item1 = (new System::Windows::Forms::Label());
			this->textBox23 = (new System::Windows::Forms::TextBox());
			this->label50 = (new System::Windows::Forms::Label());
			this->textBox24 = (new System::Windows::Forms::TextBox());
			this->label51 = (new System::Windows::Forms::Label());
			this->textBox25 = (new System::Windows::Forms::TextBox());
			this->label52 = (new System::Windows::Forms::Label());
			this->textBox26 = (new System::Windows::Forms::TextBox());
			this->label53 = (new System::Windows::Forms::Label());
			this->textBox27 = (new System::Windows::Forms::TextBox());
			this->label54 = (new System::Windows::Forms::Label());
			this->textBox28 = (new System::Windows::Forms::TextBox());
			this->label55 = (new System::Windows::Forms::Label());
			this->textBox29 = (new System::Windows::Forms::TextBox());
			this->label56 = (new System::Windows::Forms::Label());
			this->textBox30 = (new System::Windows::Forms::TextBox());
			this->label57 = (new System::Windows::Forms::Label());
			this->textBox31 = (new System::Windows::Forms::TextBox());
			this->label58 = (new System::Windows::Forms::Label());
			this->textBox32 = (new System::Windows::Forms::TextBox());
			this->label59 = (new System::Windows::Forms::Label());
			this->groupBox2 = (new System::Windows::Forms::GroupBox());
			this->LB_EQ17 = (new System::Windows::Forms::Label());
			this->LB_EQ15 = (new System::Windows::Forms::Label());
			this->LB_EQ14 = (new System::Windows::Forms::Label());
			this->LB_EQ13 = (new System::Windows::Forms::Label());
			this->LB_EQ12 = (new System::Windows::Forms::Label());
			this->LB_EQ11 = (new System::Windows::Forms::Label());
			this->LB_EQ10 = (new System::Windows::Forms::Label());
			this->LB_EQ9 = (new System::Windows::Forms::Label());
			this->LB_EQ8 = (new System::Windows::Forms::Label());
			this->LB_EQ16 = (new System::Windows::Forms::Label());
			this->LB_EQ18 = (new System::Windows::Forms::Label());
			this->LB_EQ7 = (new System::Windows::Forms::Label());
			this->LB_EQ6 = (new System::Windows::Forms::Label());
			this->LB_EQ5 = (new System::Windows::Forms::Label());
			this->LB_EQ4 = (new System::Windows::Forms::Label());
			this->LB_EQ3 = (new System::Windows::Forms::Label());
			this->LB_EQ2 = (new System::Windows::Forms::Label());
			this->LB_EQ1 = (new System::Windows::Forms::Label());
			this->textBox19 = (new System::Windows::Forms::TextBox());
			this->label18 = (new System::Windows::Forms::Label());
			this->textBox20 = (new System::Windows::Forms::TextBox());
			this->label19 = (new System::Windows::Forms::Label());
			this->textBox21 = (new System::Windows::Forms::TextBox());
			this->label20 = (new System::Windows::Forms::Label());
			this->textBox22 = (new System::Windows::Forms::TextBox());
			this->label21 = (new System::Windows::Forms::Label());
			this->textBox12 = (new System::Windows::Forms::TextBox());
			this->label11 = (new System::Windows::Forms::Label());
			this->textBox13 = (new System::Windows::Forms::TextBox());
			this->label12 = (new System::Windows::Forms::Label());
			this->textBox14 = (new System::Windows::Forms::TextBox());
			this->label13 = (new System::Windows::Forms::Label());
			this->textBox15 = (new System::Windows::Forms::TextBox());
			this->label14 = (new System::Windows::Forms::Label());
			this->textBox16 = (new System::Windows::Forms::TextBox());
			this->label15 = (new System::Windows::Forms::Label());
			this->textBox17 = (new System::Windows::Forms::TextBox());
			this->label16 = (new System::Windows::Forms::Label());
			this->textBox18 = (new System::Windows::Forms::TextBox());
			this->label17 = (new System::Windows::Forms::Label());
			this->textBox11 = (new System::Windows::Forms::TextBox());
			this->label10 = (new System::Windows::Forms::Label());
			this->textBox10 = (new System::Windows::Forms::TextBox());
			this->label9 = (new System::Windows::Forms::Label());
			this->textBox9 = (new System::Windows::Forms::TextBox());
			this->label8 = (new System::Windows::Forms::Label());
			this->textBox8 = (new System::Windows::Forms::TextBox());
			this->label7 = (new System::Windows::Forms::Label());
			this->textBox7 = (new System::Windows::Forms::TextBox());
			this->label6 = (new System::Windows::Forms::Label());
			this->textBox6 = (new System::Windows::Forms::TextBox());
			this->label5 = (new System::Windows::Forms::Label());
			this->textBox5 = (new System::Windows::Forms::TextBox());
			this->label4 = (new System::Windows::Forms::Label());
			this->comboBox1 = (new System::Windows::Forms::ComboBox());
			this->label3 = (new System::Windows::Forms::Label());
			this->groupBox1 = (new System::Windows::Forms::GroupBox());
			this->textBox33 = (new System::Windows::Forms::TextBox());
			this->textBox4 = (new System::Windows::Forms::TextBox());
			this->textBox3 = (new System::Windows::Forms::TextBox());
			this->textBox2 = (new System::Windows::Forms::TextBox());
			this->label2 = (new System::Windows::Forms::Label());
			this->textBox1 = (new System::Windows::Forms::TextBox());
			this->label1 = (new System::Windows::Forms::Label());
			this->panel1->SuspendLayout();
			this->groupBox5->SuspendLayout();
			this->groupBox4->SuspendLayout();
			this->groupBox3->SuspendLayout();
			this->groupBox2->SuspendLayout();
			this->groupBox1->SuspendLayout();
			this->SuspendLayout();
			// 
			// panel1
			// 
			this->panel1->Controls->Add(this->groupBox5);
			this->panel1->Controls->Add(this->groupBox4);
			this->panel1->Controls->Add(this->groupBox3);
			this->panel1->Controls->Add(this->groupBox2);
			this->panel1->Controls->Add(this->comboBox1);
			this->panel1->Controls->Add(this->label3);
			this->panel1->Controls->Add(this->groupBox1);
			this->panel1->Location = System::Drawing::Point(0, 0);
			this->panel1->Name = S"panel1";
			this->panel1->Size = System::Drawing::Size(882, 549);
			this->panel1->TabIndex = 0;
			// 
			// groupBox5
			// 
			this->groupBox5->Controls->Add(this->LB_EQPreview17);
			this->groupBox5->Controls->Add(this->textBox44);
			this->groupBox5->Controls->Add(this->label23);
			this->groupBox5->Controls->Add(this->LB_EQPreview8);
			this->groupBox5->Controls->Add(this->LB_EQPreview16);
			this->groupBox5->Controls->Add(this->LB_EQPreview7);
			this->groupBox5->Controls->Add(this->LB_EQPreview6);
			this->groupBox5->Controls->Add(this->LB_EQPreview5);
			this->groupBox5->Controls->Add(this->LB_EQPreview4);
			this->groupBox5->Controls->Add(this->LB_EQPreview3);
			this->groupBox5->Controls->Add(this->LB_EQPreview2);
			this->groupBox5->Controls->Add(this->LB_EQPreview1);
			this->groupBox5->Controls->Add(this->textBox46);
			this->groupBox5->Controls->Add(this->label42);
			this->groupBox5->Controls->Add(this->textBox54);
			this->groupBox5->Controls->Add(this->label70);
			this->groupBox5->Controls->Add(this->textBox55);
			this->groupBox5->Controls->Add(this->label71);
			this->groupBox5->Controls->Add(this->textBox56);
			this->groupBox5->Controls->Add(this->label72);
			this->groupBox5->Controls->Add(this->textBox57);
			this->groupBox5->Controls->Add(this->label73);
			this->groupBox5->Controls->Add(this->textBox58);
			this->groupBox5->Controls->Add(this->label74);
			this->groupBox5->Controls->Add(this->textBox59);
			this->groupBox5->Controls->Add(this->label75);
			this->groupBox5->Controls->Add(this->textBox60);
			this->groupBox5->Controls->Add(this->label76);
			this->groupBox5->Controls->Add(this->textBox61);
			this->groupBox5->Controls->Add(this->label77);
			this->groupBox5->Location = System::Drawing::Point(451, 106);
			this->groupBox5->Name = S"groupBox5";
			this->groupBox5->Size = System::Drawing::Size(248, 279);
			this->groupBox5->TabIndex = 21;
			this->groupBox5->TabStop = false;
			this->groupBox5->Text = S"裝備預覽";
			// 
			// LB_EQPreview17
			// 
			this->LB_EQPreview17->AutoSize = true;
			this->LB_EQPreview17->Location = System::Drawing::Point(138, 249);
			this->LB_EQPreview17->Name = S"LB_EQPreview17";
			this->LB_EQPreview17->Size = System::Drawing::Size(22, 13);
			this->LB_EQPreview17->TabIndex = 58;
			this->LB_EQPreview17->Text = S"-----";
			// 
			// textBox44
			// 
			this->textBox44->Location = System::Drawing::Point(63, 249);
			this->textBox44->Name = S"textBox44";
			this->textBox44->Size = System::Drawing::Size(69, 20);
			this->textBox44->TabIndex = 57;
			this->textBox44->Tag = S"EQPreview_ID17";
			this->textBox44->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label23
			// 
			this->label23->AutoSize = true;
			this->label23->Location = System::Drawing::Point(16, 251);
			this->label23->Name = S"label23";
			this->label23->Size = System::Drawing::Size(31, 13);
			this->label23->TabIndex = 56;
			this->label23->Text = S"副手";
			// 
			// LB_EQPreview8
			// 
			this->LB_EQPreview8->AutoSize = true;
			this->LB_EQPreview8->Location = System::Drawing::Point(138, 193);
			this->LB_EQPreview8->Name = S"LB_EQPreview8";
			this->LB_EQPreview8->Size = System::Drawing::Size(22, 13);
			this->LB_EQPreview8->TabIndex = 47;
			this->LB_EQPreview8->Text = S"-----";
			// 
			// LB_EQPreview16
			// 
			this->LB_EQPreview16->AutoSize = true;
			this->LB_EQPreview16->Location = System::Drawing::Point(138, 227);
			this->LB_EQPreview16->Name = S"LB_EQPreview16";
			this->LB_EQPreview16->Size = System::Drawing::Size(22, 13);
			this->LB_EQPreview16->TabIndex = 46;
			this->LB_EQPreview16->Text = S"-----";
			// 
			// LB_EQPreview7
			// 
			this->LB_EQPreview7->AutoSize = true;
			this->LB_EQPreview7->Location = System::Drawing::Point(138, 166);
			this->LB_EQPreview7->Name = S"LB_EQPreview7";
			this->LB_EQPreview7->Size = System::Drawing::Size(22, 13);
			this->LB_EQPreview7->TabIndex = 44;
			this->LB_EQPreview7->Text = S"-----";
			// 
			// LB_EQPreview6
			// 
			this->LB_EQPreview6->AutoSize = true;
			this->LB_EQPreview6->Location = System::Drawing::Point(138, 142);
			this->LB_EQPreview6->Name = S"LB_EQPreview6";
			this->LB_EQPreview6->Size = System::Drawing::Size(22, 13);
			this->LB_EQPreview6->TabIndex = 43;
			this->LB_EQPreview6->Text = S"-----";
			// 
			// LB_EQPreview5
			// 
			this->LB_EQPreview5->AutoSize = true;
			this->LB_EQPreview5->Location = System::Drawing::Point(138, 118);
			this->LB_EQPreview5->Name = S"LB_EQPreview5";
			this->LB_EQPreview5->Size = System::Drawing::Size(22, 13);
			this->LB_EQPreview5->TabIndex = 42;
			this->LB_EQPreview5->Text = S"-----";
			this->LB_EQPreview5->Click += new System::EventHandler(this, &CreateRoleForm::label35_Click);
			// 
			// LB_EQPreview4
			// 
			this->LB_EQPreview4->AutoSize = true;
			this->LB_EQPreview4->Location = System::Drawing::Point(138, 94);
			this->LB_EQPreview4->Name = S"LB_EQPreview4";
			this->LB_EQPreview4->Size = System::Drawing::Size(22, 13);
			this->LB_EQPreview4->TabIndex = 41;
			this->LB_EQPreview4->Text = S"-----";
			// 
			// LB_EQPreview3
			// 
			this->LB_EQPreview3->AutoSize = true;
			this->LB_EQPreview3->Location = System::Drawing::Point(138, 69);
			this->LB_EQPreview3->Name = S"LB_EQPreview3";
			this->LB_EQPreview3->Size = System::Drawing::Size(22, 13);
			this->LB_EQPreview3->TabIndex = 40;
			this->LB_EQPreview3->Text = S"-----";
			this->LB_EQPreview3->Click += new System::EventHandler(this, &CreateRoleForm::label37_Click);
			// 
			// LB_EQPreview2
			// 
			this->LB_EQPreview2->AutoSize = true;
			this->LB_EQPreview2->Location = System::Drawing::Point(138, 45);
			this->LB_EQPreview2->Name = S"LB_EQPreview2";
			this->LB_EQPreview2->Size = System::Drawing::Size(22, 13);
			this->LB_EQPreview2->TabIndex = 39;
			this->LB_EQPreview2->Text = S"-----";
			this->LB_EQPreview2->Click += new System::EventHandler(this, &CreateRoleForm::LBPreview_EQ2_Click);
			// 
			// LB_EQPreview1
			// 
			this->LB_EQPreview1->AutoSize = true;
			this->LB_EQPreview1->Location = System::Drawing::Point(138, 21);
			this->LB_EQPreview1->Name = S"LB_EQPreview1";
			this->LB_EQPreview1->Size = System::Drawing::Size(22, 13);
			this->LB_EQPreview1->TabIndex = 38;
			this->LB_EQPreview1->Text = S"-----";
			// 
			// textBox46
			// 
			this->textBox46->Location = System::Drawing::Point(63, 224);
			this->textBox46->Name = S"textBox46";
			this->textBox46->Size = System::Drawing::Size(69, 20);
			this->textBox46->TabIndex = 33;
			this->textBox46->Tag = S"EQPreview_ID16";
			this->textBox46->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label42
			// 
			this->label42->AutoSize = true;
			this->label42->Location = System::Drawing::Point(16, 227);
			this->label42->Name = S"label42";
			this->label42->Size = System::Drawing::Size(31, 13);
			this->label42->TabIndex = 32;
			this->label42->Text = S"主手";
			// 
			// textBox54
			// 
			this->textBox54->Location = System::Drawing::Point(63, 191);
			this->textBox54->Name = S"textBox54";
			this->textBox54->Size = System::Drawing::Size(69, 20);
			this->textBox54->TabIndex = 17;
			this->textBox54->Tag = S"EQPreview_ID8";
			this->textBox54->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label70
			// 
			this->label70->AutoSize = true;
			this->label70->Location = System::Drawing::Point(16, 193);
			this->label70->Name = S"label70";
			this->label70->Size = System::Drawing::Size(31, 13);
			this->label70->TabIndex = 16;
			this->label70->Text = S"肩甲";
			// 
			// textBox55
			// 
			this->textBox55->Location = System::Drawing::Point(63, 164);
			this->textBox55->Name = S"textBox55";
			this->textBox55->Size = System::Drawing::Size(69, 20);
			this->textBox55->TabIndex = 15;
			this->textBox55->Tag = S"EQPreview_ID7";
			this->textBox55->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label71
			// 
			this->label71->AutoSize = true;
			this->label71->Location = System::Drawing::Point(16, 166);
			this->label71->Name = S"label71";
			this->label71->Size = System::Drawing::Size(31, 13);
			this->label71->TabIndex = 14;
			this->label71->Text = S"腰帶";
			// 
			// textBox56
			// 
			this->textBox56->Location = System::Drawing::Point(63, 140);
			this->textBox56->Name = S"textBox56";
			this->textBox56->Size = System::Drawing::Size(69, 20);
			this->textBox56->TabIndex = 13;
			this->textBox56->Tag = S"EQPreview_ID6";
			this->textBox56->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label72
			// 
			this->label72->AutoSize = true;
			this->label72->Location = System::Drawing::Point(16, 142);
			this->label72->Name = S"label72";
			this->label72->Size = System::Drawing::Size(31, 13);
			this->label72->TabIndex = 12;
			this->label72->Text = S"背部";
			// 
			// textBox57
			// 
			this->textBox57->Location = System::Drawing::Point(63, 115);
			this->textBox57->Name = S"textBox57";
			this->textBox57->Size = System::Drawing::Size(69, 20);
			this->textBox57->TabIndex = 11;
			this->textBox57->Tag = S"EQPreview_ID5";
			this->textBox57->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label73
			// 
			this->label73->AutoSize = true;
			this->label73->Location = System::Drawing::Point(16, 118);
			this->label73->Name = S"label73";
			this->label73->Size = System::Drawing::Size(31, 13);
			this->label73->TabIndex = 10;
			this->label73->Text = S"褲子";
			// 
			// textBox58
			// 
			this->textBox58->Location = System::Drawing::Point(63, 91);
			this->textBox58->Name = S"textBox58";
			this->textBox58->Size = System::Drawing::Size(69, 20);
			this->textBox58->TabIndex = 9;
			this->textBox58->Tag = S"EQPreview_ID4";
			this->textBox58->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label74
			// 
			this->label74->AutoSize = true;
			this->label74->Location = System::Drawing::Point(16, 94);
			this->label74->Name = S"label74";
			this->label74->Size = System::Drawing::Size(31, 13);
			this->label74->TabIndex = 8;
			this->label74->Text = S"上衣";
			// 
			// textBox59
			// 
			this->textBox59->Location = System::Drawing::Point(63, 67);
			this->textBox59->Name = S"textBox59";
			this->textBox59->Size = System::Drawing::Size(69, 20);
			this->textBox59->TabIndex = 7;
			this->textBox59->Tag = S"EQPreview_ID3";
			this->textBox59->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label75
			// 
			this->label75->AutoSize = true;
			this->label75->Location = System::Drawing::Point(16, 69);
			this->label75->Name = S"label75";
			this->label75->Size = System::Drawing::Size(31, 13);
			this->label75->TabIndex = 6;
			this->label75->Text = S"鞋子";
			// 
			// textBox60
			// 
			this->textBox60->Location = System::Drawing::Point(63, 42);
			this->textBox60->Name = S"textBox60";
			this->textBox60->Size = System::Drawing::Size(69, 20);
			this->textBox60->TabIndex = 5;
			this->textBox60->Tag = S"EQPreview_ID2";
			this->textBox60->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label76
			// 
			this->label76->AutoSize = true;
			this->label76->Location = System::Drawing::Point(16, 45);
			this->label76->Name = S"label76";
			this->label76->Size = System::Drawing::Size(31, 13);
			this->label76->TabIndex = 4;
			this->label76->Text = S"手套";
			// 
			// textBox61
			// 
			this->textBox61->Location = System::Drawing::Point(63, 18);
			this->textBox61->Name = S"textBox61";
			this->textBox61->Size = System::Drawing::Size(69, 20);
			this->textBox61->TabIndex = 3;
			this->textBox61->Tag = S"EQPreview_ID1";
			this->textBox61->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label77
			// 
			this->label77->AutoSize = true;
			this->label77->Location = System::Drawing::Point(16, 21);
			this->label77->Name = S"label77";
			this->label77->Size = System::Drawing::Size(19, 13);
			this->label77->TabIndex = 2;
			this->label77->Text = S"頭";
			// 
			// groupBox4
			// 
			this->groupBox4->Controls->Add(this->CLB_RaceLimit);
			this->groupBox4->Location = System::Drawing::Point(342, 12);
			this->groupBox4->Name = S"groupBox4";
			this->groupBox4->Size = System::Drawing::Size(104, 88);
			this->groupBox4->TabIndex = 20;
			this->groupBox4->TabStop = false;
			this->groupBox4->Text = S"種族";
			// 
			// CLB_RaceLimit
			// 
			this->CLB_RaceLimit->CheckOnClick = true;
			System::Object* __mcTemp__1[] = new System::Object*[3];
			__mcTemp__1[0] = S"人類";
			__mcTemp__1[1] = S"精靈";
			__mcTemp__1[2] = S"矮人";
			this->CLB_RaceLimit->Items->AddRange(__mcTemp__1);
			this->CLB_RaceLimit->Location = System::Drawing::Point(8, 14);
			this->CLB_RaceLimit->Name = S"CLB_RaceLimit";
			this->CLB_RaceLimit->Size = System::Drawing::Size(88, 64);
			this->CLB_RaceLimit->TabIndex = 0;
			this->CLB_RaceLimit->Tag = S"RaceLimit";
			this->CLB_RaceLimit->SelectedValueChanged += new System::EventHandler(this, &CreateRoleForm::ChangeFlag);
			// 
			// groupBox3
			// 
			this->groupBox3->Controls->Add(this->textBox39);
			this->groupBox3->Controls->Add(this->label65);
			this->groupBox3->Controls->Add(this->textBox40);
			this->groupBox3->Controls->Add(this->label66);
			this->groupBox3->Controls->Add(this->textBox41);
			this->groupBox3->Controls->Add(this->label67);
			this->groupBox3->Controls->Add(this->textBox42);
			this->groupBox3->Controls->Add(this->label68);
			this->groupBox3->Controls->Add(this->textBox43);
			this->groupBox3->Controls->Add(this->label69);
			this->groupBox3->Controls->Add(this->textBox38);
			this->groupBox3->Controls->Add(this->label64);
			this->groupBox3->Controls->Add(this->textBox37);
			this->groupBox3->Controls->Add(this->label63);
			this->groupBox3->Controls->Add(this->textBox36);
			this->groupBox3->Controls->Add(this->label62);
			this->groupBox3->Controls->Add(this->textBox35);
			this->groupBox3->Controls->Add(this->label61);
			this->groupBox3->Controls->Add(this->textBox34);
			this->groupBox3->Controls->Add(this->label60);
			this->groupBox3->Controls->Add(this->LB_Item10);
			this->groupBox3->Controls->Add(this->LB_Item9);
			this->groupBox3->Controls->Add(this->LB_Item8);
			this->groupBox3->Controls->Add(this->LB_Item7);
			this->groupBox3->Controls->Add(this->LB_Item6);
			this->groupBox3->Controls->Add(this->LB_Item5);
			this->groupBox3->Controls->Add(this->LB_Item4);
			this->groupBox3->Controls->Add(this->LB_Item3);
			this->groupBox3->Controls->Add(this->LB_Item2);
			this->groupBox3->Controls->Add(this->LB_Item1);
			this->groupBox3->Controls->Add(this->textBox23);
			this->groupBox3->Controls->Add(this->label50);
			this->groupBox3->Controls->Add(this->textBox24);
			this->groupBox3->Controls->Add(this->label51);
			this->groupBox3->Controls->Add(this->textBox25);
			this->groupBox3->Controls->Add(this->label52);
			this->groupBox3->Controls->Add(this->textBox26);
			this->groupBox3->Controls->Add(this->label53);
			this->groupBox3->Controls->Add(this->textBox27);
			this->groupBox3->Controls->Add(this->label54);
			this->groupBox3->Controls->Add(this->textBox28);
			this->groupBox3->Controls->Add(this->label55);
			this->groupBox3->Controls->Add(this->textBox29);
			this->groupBox3->Controls->Add(this->label56);
			this->groupBox3->Controls->Add(this->textBox30);
			this->groupBox3->Controls->Add(this->label57);
			this->groupBox3->Controls->Add(this->textBox31);
			this->groupBox3->Controls->Add(this->label58);
			this->groupBox3->Controls->Add(this->textBox32);
			this->groupBox3->Controls->Add(this->label59);
			this->groupBox3->Location = System::Drawing::Point(3, 390);
			this->groupBox3->Name = S"groupBox3";
			this->groupBox3->Size = System::Drawing::Size(568, 143);
			this->groupBox3->TabIndex = 4;
			this->groupBox3->TabStop = false;
			this->groupBox3->Text = S"出生給的物品";
			this->groupBox3->Enter += new System::EventHandler(this, &CreateRoleForm::groupBox3_Enter);
			// 
			// textBox39
			// 
			this->textBox39->Location = System::Drawing::Point(417, 115);
			this->textBox39->Name = S"textBox39";
			this->textBox39->Size = System::Drawing::Size(38, 20);
			this->textBox39->TabIndex = 101;
			this->textBox39->Tag = S"Item_Count10";
			this->textBox39->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label65
			// 
			this->label65->AutoSize = true;
			this->label65->Location = System::Drawing::Point(402, 118);
			this->label65->Name = S"label65";
			this->label65->Size = System::Drawing::Size(12, 13);
			this->label65->TabIndex = 100;
			this->label65->Text = S"x";
			// 
			// textBox40
			// 
			this->textBox40->Location = System::Drawing::Point(417, 91);
			this->textBox40->Name = S"textBox40";
			this->textBox40->Size = System::Drawing::Size(38, 20);
			this->textBox40->TabIndex = 99;
			this->textBox40->Tag = S"Item_Count9";
			this->textBox40->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label66
			// 
			this->label66->AutoSize = true;
			this->label66->Location = System::Drawing::Point(402, 94);
			this->label66->Name = S"label66";
			this->label66->Size = System::Drawing::Size(12, 13);
			this->label66->TabIndex = 98;
			this->label66->Text = S"x";
			// 
			// textBox41
			// 
			this->textBox41->Location = System::Drawing::Point(418, 67);
			this->textBox41->Name = S"textBox41";
			this->textBox41->Size = System::Drawing::Size(38, 20);
			this->textBox41->TabIndex = 97;
			this->textBox41->Tag = S"Item_Count8";
			this->textBox41->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label67
			// 
			this->label67->AutoSize = true;
			this->label67->Location = System::Drawing::Point(403, 69);
			this->label67->Name = S"label67";
			this->label67->Size = System::Drawing::Size(12, 13);
			this->label67->TabIndex = 96;
			this->label67->Text = S"x";
			// 
			// textBox42
			// 
			this->textBox42->Location = System::Drawing::Point(417, 42);
			this->textBox42->Name = S"textBox42";
			this->textBox42->Size = System::Drawing::Size(38, 20);
			this->textBox42->TabIndex = 95;
			this->textBox42->Tag = S"Item_Count7";
			this->textBox42->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label68
			// 
			this->label68->AutoSize = true;
			this->label68->Location = System::Drawing::Point(402, 45);
			this->label68->Name = S"label68";
			this->label68->Size = System::Drawing::Size(12, 13);
			this->label68->TabIndex = 94;
			this->label68->Text = S"x";
			// 
			// textBox43
			// 
			this->textBox43->Location = System::Drawing::Point(417, 18);
			this->textBox43->Name = S"textBox43";
			this->textBox43->Size = System::Drawing::Size(38, 20);
			this->textBox43->TabIndex = 93;
			this->textBox43->Tag = S"Item_Count6";
			this->textBox43->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label69
			// 
			this->label69->AutoSize = true;
			this->label69->Location = System::Drawing::Point(402, 21);
			this->label69->Name = S"label69";
			this->label69->Size = System::Drawing::Size(12, 13);
			this->label69->TabIndex = 92;
			this->label69->Text = S"x";
			// 
			// textBox38
			// 
			this->textBox38->Location = System::Drawing::Point(151, 115);
			this->textBox38->Name = S"textBox38";
			this->textBox38->Size = System::Drawing::Size(38, 20);
			this->textBox38->TabIndex = 91;
			this->textBox38->Tag = S"Item_Count5";
			this->textBox38->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label64
			// 
			this->label64->AutoSize = true;
			this->label64->Location = System::Drawing::Point(136, 118);
			this->label64->Name = S"label64";
			this->label64->Size = System::Drawing::Size(12, 13);
			this->label64->TabIndex = 90;
			this->label64->Text = S"x";
			// 
			// textBox37
			// 
			this->textBox37->Location = System::Drawing::Point(151, 91);
			this->textBox37->Name = S"textBox37";
			this->textBox37->Size = System::Drawing::Size(38, 20);
			this->textBox37->TabIndex = 89;
			this->textBox37->Tag = S"Item_Count4";
			this->textBox37->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label63
			// 
			this->label63->AutoSize = true;
			this->label63->Location = System::Drawing::Point(136, 94);
			this->label63->Name = S"label63";
			this->label63->Size = System::Drawing::Size(12, 13);
			this->label63->TabIndex = 88;
			this->label63->Text = S"x";
			// 
			// textBox36
			// 
			this->textBox36->Location = System::Drawing::Point(152, 67);
			this->textBox36->Name = S"textBox36";
			this->textBox36->Size = System::Drawing::Size(38, 20);
			this->textBox36->TabIndex = 87;
			this->textBox36->Tag = S"Item_Count3";
			this->textBox36->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label62
			// 
			this->label62->AutoSize = true;
			this->label62->Location = System::Drawing::Point(137, 69);
			this->label62->Name = S"label62";
			this->label62->Size = System::Drawing::Size(12, 13);
			this->label62->TabIndex = 86;
			this->label62->Text = S"x";
			// 
			// textBox35
			// 
			this->textBox35->Location = System::Drawing::Point(151, 42);
			this->textBox35->Name = S"textBox35";
			this->textBox35->Size = System::Drawing::Size(38, 20);
			this->textBox35->TabIndex = 85;
			this->textBox35->Tag = S"Item_Count2";
			this->textBox35->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label61
			// 
			this->label61->AutoSize = true;
			this->label61->Location = System::Drawing::Point(136, 45);
			this->label61->Name = S"label61";
			this->label61->Size = System::Drawing::Size(12, 13);
			this->label61->TabIndex = 84;
			this->label61->Text = S"x";
			// 
			// textBox34
			// 
			this->textBox34->Location = System::Drawing::Point(151, 18);
			this->textBox34->Name = S"textBox34";
			this->textBox34->Size = System::Drawing::Size(38, 20);
			this->textBox34->TabIndex = 83;
			this->textBox34->Tag = S"Item_Count1";
			this->textBox34->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label60
			// 
			this->label60->AutoSize = true;
			this->label60->Location = System::Drawing::Point(136, 21);
			this->label60->Name = S"label60";
			this->label60->Size = System::Drawing::Size(12, 13);
			this->label60->TabIndex = 82;
			this->label60->Text = S"x";
			// 
			// LB_Item10
			// 
			this->LB_Item10->Location = System::Drawing::Point(459, 118);
			this->LB_Item10->Name = S"LB_Item10";
			this->LB_Item10->Size = System::Drawing::Size(92, 10);
			this->LB_Item10->TabIndex = 81;
			this->LB_Item10->Text = S"-----";
			// 
			// LB_Item9
			// 
			this->LB_Item9->Location = System::Drawing::Point(459, 94);
			this->LB_Item9->Name = S"LB_Item9";
			this->LB_Item9->Size = System::Drawing::Size(92, 10);
			this->LB_Item9->TabIndex = 80;
			this->LB_Item9->Text = S"-----";
			// 
			// LB_Item8
			// 
			this->LB_Item8->Location = System::Drawing::Point(459, 69);
			this->LB_Item8->Name = S"LB_Item8";
			this->LB_Item8->Size = System::Drawing::Size(92, 11);
			this->LB_Item8->TabIndex = 79;
			this->LB_Item8->Text = S"-----";
			// 
			// LB_Item7
			// 
			this->LB_Item7->Location = System::Drawing::Point(459, 45);
			this->LB_Item7->Name = S"LB_Item7";
			this->LB_Item7->Size = System::Drawing::Size(92, 10);
			this->LB_Item7->TabIndex = 78;
			this->LB_Item7->Text = S"-----";
			// 
			// LB_Item6
			// 
			this->LB_Item6->Location = System::Drawing::Point(459, 21);
			this->LB_Item6->Name = S"LB_Item6";
			this->LB_Item6->Size = System::Drawing::Size(92, 10);
			this->LB_Item6->TabIndex = 77;
			this->LB_Item6->Text = S"-----";
			// 
			// LB_Item5
			// 
			this->LB_Item5->Location = System::Drawing::Point(195, 118);
			this->LB_Item5->Name = S"LB_Item5";
			this->LB_Item5->Size = System::Drawing::Size(82, 10);
			this->LB_Item5->TabIndex = 76;
			this->LB_Item5->Text = S"-----";
			// 
			// LB_Item4
			// 
			this->LB_Item4->Location = System::Drawing::Point(195, 94);
			this->LB_Item4->Name = S"LB_Item4";
			this->LB_Item4->Size = System::Drawing::Size(82, 10);
			this->LB_Item4->TabIndex = 75;
			this->LB_Item4->Text = S"-----";
			// 
			// LB_Item3
			// 
			this->LB_Item3->Location = System::Drawing::Point(195, 69);
			this->LB_Item3->Name = S"LB_Item3";
			this->LB_Item3->Size = System::Drawing::Size(82, 11);
			this->LB_Item3->TabIndex = 74;
			this->LB_Item3->Text = S"-----";
			// 
			// LB_Item2
			// 
			this->LB_Item2->Location = System::Drawing::Point(195, 45);
			this->LB_Item2->Name = S"LB_Item2";
			this->LB_Item2->Size = System::Drawing::Size(82, 10);
			this->LB_Item2->TabIndex = 73;
			this->LB_Item2->Text = S"-----";
			// 
			// LB_Item1
			// 
			this->LB_Item1->Location = System::Drawing::Point(195, 21);
			this->LB_Item1->Name = S"LB_Item1";
			this->LB_Item1->Size = System::Drawing::Size(82, 10);
			this->LB_Item1->TabIndex = 72;
			this->LB_Item1->Text = S"-----";
			// 
			// textBox23
			// 
			this->textBox23->Location = System::Drawing::Point(330, 115);
			this->textBox23->Name = S"textBox23";
			this->textBox23->Size = System::Drawing::Size(69, 20);
			this->textBox23->TabIndex = 71;
			this->textBox23->Tag = S"Item_ID10";
			this->textBox23->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox23->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label50
			// 
			this->label50->AutoSize = true;
			this->label50->Location = System::Drawing::Point(283, 118);
			this->label50->Name = S"label50";
			this->label50->Size = System::Drawing::Size(43, 13);
			this->label50->TabIndex = 70;
			this->label50->Text = S"物品10";
			// 
			// textBox24
			// 
			this->textBox24->Location = System::Drawing::Point(330, 91);
			this->textBox24->Name = S"textBox24";
			this->textBox24->Size = System::Drawing::Size(69, 20);
			this->textBox24->TabIndex = 69;
			this->textBox24->Tag = S"Item_ID9";
			this->textBox24->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox24->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label51
			// 
			this->label51->AutoSize = true;
			this->label51->Location = System::Drawing::Point(283, 94);
			this->label51->Name = S"label51";
			this->label51->Size = System::Drawing::Size(37, 13);
			this->label51->TabIndex = 68;
			this->label51->Text = S"物品9";
			// 
			// textBox25
			// 
			this->textBox25->Location = System::Drawing::Point(330, 67);
			this->textBox25->Name = S"textBox25";
			this->textBox25->Size = System::Drawing::Size(69, 20);
			this->textBox25->TabIndex = 67;
			this->textBox25->Tag = S"Item_ID8";
			this->textBox25->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox25->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label52
			// 
			this->label52->AutoSize = true;
			this->label52->Location = System::Drawing::Point(283, 69);
			this->label52->Name = S"label52";
			this->label52->Size = System::Drawing::Size(37, 13);
			this->label52->TabIndex = 66;
			this->label52->Text = S"物品8";
			// 
			// textBox26
			// 
			this->textBox26->Location = System::Drawing::Point(330, 42);
			this->textBox26->Name = S"textBox26";
			this->textBox26->Size = System::Drawing::Size(69, 20);
			this->textBox26->TabIndex = 65;
			this->textBox26->Tag = S"Item_ID7";
			this->textBox26->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox26->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label53
			// 
			this->label53->AutoSize = true;
			this->label53->Location = System::Drawing::Point(283, 45);
			this->label53->Name = S"label53";
			this->label53->Size = System::Drawing::Size(37, 13);
			this->label53->TabIndex = 64;
			this->label53->Text = S"物品7";
			// 
			// textBox27
			// 
			this->textBox27->Location = System::Drawing::Point(330, 18);
			this->textBox27->Name = S"textBox27";
			this->textBox27->Size = System::Drawing::Size(69, 20);
			this->textBox27->TabIndex = 63;
			this->textBox27->Tag = S"Item_ID6";
			this->textBox27->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox27->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label54
			// 
			this->label54->AutoSize = true;
			this->label54->Location = System::Drawing::Point(283, 21);
			this->label54->Name = S"label54";
			this->label54->Size = System::Drawing::Size(37, 13);
			this->label54->TabIndex = 62;
			this->label54->Text = S"物品6";
			// 
			// textBox28
			// 
			this->textBox28->Location = System::Drawing::Point(63, 115);
			this->textBox28->Name = S"textBox28";
			this->textBox28->Size = System::Drawing::Size(69, 20);
			this->textBox28->TabIndex = 61;
			this->textBox28->Tag = S"Item_ID5";
			this->textBox28->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox28->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label55
			// 
			this->label55->AutoSize = true;
			this->label55->Location = System::Drawing::Point(16, 118);
			this->label55->Name = S"label55";
			this->label55->Size = System::Drawing::Size(37, 13);
			this->label55->TabIndex = 60;
			this->label55->Text = S"物品5";
			// 
			// textBox29
			// 
			this->textBox29->Location = System::Drawing::Point(63, 91);
			this->textBox29->Name = S"textBox29";
			this->textBox29->Size = System::Drawing::Size(69, 20);
			this->textBox29->TabIndex = 59;
			this->textBox29->Tag = S"Item_ID4";
			this->textBox29->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox29->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label56
			// 
			this->label56->AutoSize = true;
			this->label56->Location = System::Drawing::Point(16, 94);
			this->label56->Name = S"label56";
			this->label56->Size = System::Drawing::Size(37, 13);
			this->label56->TabIndex = 58;
			this->label56->Text = S"物品4";
			// 
			// textBox30
			// 
			this->textBox30->Location = System::Drawing::Point(63, 67);
			this->textBox30->Name = S"textBox30";
			this->textBox30->Size = System::Drawing::Size(69, 20);
			this->textBox30->TabIndex = 57;
			this->textBox30->Tag = S"Item_ID3";
			this->textBox30->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox30->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label57
			// 
			this->label57->AutoSize = true;
			this->label57->Location = System::Drawing::Point(16, 69);
			this->label57->Name = S"label57";
			this->label57->Size = System::Drawing::Size(37, 13);
			this->label57->TabIndex = 56;
			this->label57->Text = S"物品3";
			// 
			// textBox31
			// 
			this->textBox31->Location = System::Drawing::Point(63, 42);
			this->textBox31->Name = S"textBox31";
			this->textBox31->Size = System::Drawing::Size(69, 20);
			this->textBox31->TabIndex = 55;
			this->textBox31->Tag = S"Item_ID2";
			this->textBox31->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox31->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label58
			// 
			this->label58->AutoSize = true;
			this->label58->Location = System::Drawing::Point(16, 45);
			this->label58->Name = S"label58";
			this->label58->Size = System::Drawing::Size(37, 13);
			this->label58->TabIndex = 54;
			this->label58->Text = S"物品2";
			// 
			// textBox32
			// 
			this->textBox32->Location = System::Drawing::Point(63, 18);
			this->textBox32->Name = S"textBox32";
			this->textBox32->Size = System::Drawing::Size(69, 20);
			this->textBox32->TabIndex = 53;
			this->textBox32->Tag = S"Item_ID1";
			this->textBox32->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox32->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label59
			// 
			this->label59->AutoSize = true;
			this->label59->Location = System::Drawing::Point(16, 21);
			this->label59->Name = S"label59";
			this->label59->Size = System::Drawing::Size(37, 13);
			this->label59->TabIndex = 52;
			this->label59->Text = S"物品1";
			// 
			// groupBox2
			// 
			this->groupBox2->Controls->Add(this->LB_EQ17);
			this->groupBox2->Controls->Add(this->LB_EQ15);
			this->groupBox2->Controls->Add(this->LB_EQ14);
			this->groupBox2->Controls->Add(this->LB_EQ13);
			this->groupBox2->Controls->Add(this->LB_EQ12);
			this->groupBox2->Controls->Add(this->LB_EQ11);
			this->groupBox2->Controls->Add(this->LB_EQ10);
			this->groupBox2->Controls->Add(this->LB_EQ9);
			this->groupBox2->Controls->Add(this->LB_EQ8);
			this->groupBox2->Controls->Add(this->LB_EQ16);
			this->groupBox2->Controls->Add(this->LB_EQ18);
			this->groupBox2->Controls->Add(this->LB_EQ7);
			this->groupBox2->Controls->Add(this->LB_EQ6);
			this->groupBox2->Controls->Add(this->LB_EQ5);
			this->groupBox2->Controls->Add(this->LB_EQ4);
			this->groupBox2->Controls->Add(this->LB_EQ3);
			this->groupBox2->Controls->Add(this->LB_EQ2);
			this->groupBox2->Controls->Add(this->LB_EQ1);
			this->groupBox2->Controls->Add(this->textBox19);
			this->groupBox2->Controls->Add(this->label18);
			this->groupBox2->Controls->Add(this->textBox20);
			this->groupBox2->Controls->Add(this->label19);
			this->groupBox2->Controls->Add(this->textBox21);
			this->groupBox2->Controls->Add(this->label20);
			this->groupBox2->Controls->Add(this->textBox22);
			this->groupBox2->Controls->Add(this->label21);
			this->groupBox2->Controls->Add(this->textBox12);
			this->groupBox2->Controls->Add(this->label11);
			this->groupBox2->Controls->Add(this->textBox13);
			this->groupBox2->Controls->Add(this->label12);
			this->groupBox2->Controls->Add(this->textBox14);
			this->groupBox2->Controls->Add(this->label13);
			this->groupBox2->Controls->Add(this->textBox15);
			this->groupBox2->Controls->Add(this->label14);
			this->groupBox2->Controls->Add(this->textBox16);
			this->groupBox2->Controls->Add(this->label15);
			this->groupBox2->Controls->Add(this->textBox17);
			this->groupBox2->Controls->Add(this->label16);
			this->groupBox2->Controls->Add(this->textBox18);
			this->groupBox2->Controls->Add(this->label17);
			this->groupBox2->Controls->Add(this->textBox11);
			this->groupBox2->Controls->Add(this->label10);
			this->groupBox2->Controls->Add(this->textBox10);
			this->groupBox2->Controls->Add(this->label9);
			this->groupBox2->Controls->Add(this->textBox9);
			this->groupBox2->Controls->Add(this->label8);
			this->groupBox2->Controls->Add(this->textBox8);
			this->groupBox2->Controls->Add(this->label7);
			this->groupBox2->Controls->Add(this->textBox7);
			this->groupBox2->Controls->Add(this->label6);
			this->groupBox2->Controls->Add(this->textBox6);
			this->groupBox2->Controls->Add(this->label5);
			this->groupBox2->Controls->Add(this->textBox5);
			this->groupBox2->Controls->Add(this->label4);
			this->groupBox2->Location = System::Drawing::Point(3, 106);
			this->groupBox2->Name = S"groupBox2";
			this->groupBox2->Size = System::Drawing::Size(442, 279);
			this->groupBox2->TabIndex = 3;
			this->groupBox2->TabStop = false;
			this->groupBox2->Text = S"裝備";
			// 
			// LB_EQ17
			// 
			this->LB_EQ17->AutoSize = true;
			this->LB_EQ17->Location = System::Drawing::Point(339, 224);
			this->LB_EQ17->Name = S"LB_EQ17";
			this->LB_EQ17->Size = System::Drawing::Size(22, 13);
			this->LB_EQ17->TabIndex = 55;
			this->LB_EQ17->Text = S"-----";
			// 
			// LB_EQ15
			// 
			this->LB_EQ15->AutoSize = true;
			this->LB_EQ15->Location = System::Drawing::Point(339, 166);
			this->LB_EQ15->Name = S"LB_EQ15";
			this->LB_EQ15->Size = System::Drawing::Size(22, 13);
			this->LB_EQ15->TabIndex = 54;
			this->LB_EQ15->Text = S"-----";
			// 
			// LB_EQ14
			// 
			this->LB_EQ14->AutoSize = true;
			this->LB_EQ14->Location = System::Drawing::Point(339, 142);
			this->LB_EQ14->Name = S"LB_EQ14";
			this->LB_EQ14->Size = System::Drawing::Size(22, 13);
			this->LB_EQ14->TabIndex = 53;
			this->LB_EQ14->Text = S"-----";
			// 
			// LB_EQ13
			// 
			this->LB_EQ13->AutoSize = true;
			this->LB_EQ13->Location = System::Drawing::Point(339, 118);
			this->LB_EQ13->Name = S"LB_EQ13";
			this->LB_EQ13->Size = System::Drawing::Size(22, 13);
			this->LB_EQ13->TabIndex = 52;
			this->LB_EQ13->Text = S"-----";
			// 
			// LB_EQ12
			// 
			this->LB_EQ12->AutoSize = true;
			this->LB_EQ12->Location = System::Drawing::Point(339, 94);
			this->LB_EQ12->Name = S"LB_EQ12";
			this->LB_EQ12->Size = System::Drawing::Size(22, 13);
			this->LB_EQ12->TabIndex = 51;
			this->LB_EQ12->Text = S"-----";
			// 
			// LB_EQ11
			// 
			this->LB_EQ11->AutoSize = true;
			this->LB_EQ11->Location = System::Drawing::Point(339, 69);
			this->LB_EQ11->Name = S"LB_EQ11";
			this->LB_EQ11->Size = System::Drawing::Size(22, 13);
			this->LB_EQ11->TabIndex = 50;
			this->LB_EQ11->Text = S"-----";
			// 
			// LB_EQ10
			// 
			this->LB_EQ10->AutoSize = true;
			this->LB_EQ10->Location = System::Drawing::Point(339, 45);
			this->LB_EQ10->Name = S"LB_EQ10";
			this->LB_EQ10->Size = System::Drawing::Size(22, 13);
			this->LB_EQ10->TabIndex = 49;
			this->LB_EQ10->Text = S"-----";
			// 
			// LB_EQ9
			// 
			this->LB_EQ9->AutoSize = true;
			this->LB_EQ9->Location = System::Drawing::Point(339, 21);
			this->LB_EQ9->Name = S"LB_EQ9";
			this->LB_EQ9->Size = System::Drawing::Size(22, 13);
			this->LB_EQ9->TabIndex = 48;
			this->LB_EQ9->Text = S"-----";
			// 
			// LB_EQ8
			// 
			this->LB_EQ8->AutoSize = true;
			this->LB_EQ8->Location = System::Drawing::Point(138, 193);
			this->LB_EQ8->Name = S"LB_EQ8";
			this->LB_EQ8->Size = System::Drawing::Size(22, 13);
			this->LB_EQ8->TabIndex = 47;
			this->LB_EQ8->Text = S"-----";
			// 
			// LB_EQ16
			// 
			this->LB_EQ16->AutoSize = true;
			this->LB_EQ16->Location = System::Drawing::Point(138, 227);
			this->LB_EQ16->Name = S"LB_EQ16";
			this->LB_EQ16->Size = System::Drawing::Size(22, 13);
			this->LB_EQ16->TabIndex = 46;
			this->LB_EQ16->Text = S"-----";
			// 
			// LB_EQ18
			// 
			this->LB_EQ18->AutoSize = true;
			this->LB_EQ18->Location = System::Drawing::Point(138, 252);
			this->LB_EQ18->Name = S"LB_EQ18";
			this->LB_EQ18->Size = System::Drawing::Size(22, 13);
			this->LB_EQ18->TabIndex = 45;
			this->LB_EQ18->Text = S"-----";
			// 
			// LB_EQ7
			// 
			this->LB_EQ7->AutoSize = true;
			this->LB_EQ7->Location = System::Drawing::Point(138, 166);
			this->LB_EQ7->Name = S"LB_EQ7";
			this->LB_EQ7->Size = System::Drawing::Size(22, 13);
			this->LB_EQ7->TabIndex = 44;
			this->LB_EQ7->Text = S"-----";
			// 
			// LB_EQ6
			// 
			this->LB_EQ6->AutoSize = true;
			this->LB_EQ6->Location = System::Drawing::Point(138, 142);
			this->LB_EQ6->Name = S"LB_EQ6";
			this->LB_EQ6->Size = System::Drawing::Size(22, 13);
			this->LB_EQ6->TabIndex = 43;
			this->LB_EQ6->Text = S"-----";
			// 
			// LB_EQ5
			// 
			this->LB_EQ5->AutoSize = true;
			this->LB_EQ5->Location = System::Drawing::Point(138, 118);
			this->LB_EQ5->Name = S"LB_EQ5";
			this->LB_EQ5->Size = System::Drawing::Size(22, 13);
			this->LB_EQ5->TabIndex = 42;
			this->LB_EQ5->Text = S"-----";
			// 
			// LB_EQ4
			// 
			this->LB_EQ4->AutoSize = true;
			this->LB_EQ4->Location = System::Drawing::Point(138, 94);
			this->LB_EQ4->Name = S"LB_EQ4";
			this->LB_EQ4->Size = System::Drawing::Size(22, 13);
			this->LB_EQ4->TabIndex = 41;
			this->LB_EQ4->Text = S"-----";
			// 
			// LB_EQ3
			// 
			this->LB_EQ3->AutoSize = true;
			this->LB_EQ3->Location = System::Drawing::Point(138, 69);
			this->LB_EQ3->Name = S"LB_EQ3";
			this->LB_EQ3->Size = System::Drawing::Size(22, 13);
			this->LB_EQ3->TabIndex = 40;
			this->LB_EQ3->Text = S"-----";
			// 
			// LB_EQ2
			// 
			this->LB_EQ2->AutoSize = true;
			this->LB_EQ2->Location = System::Drawing::Point(138, 45);
			this->LB_EQ2->Name = S"LB_EQ2";
			this->LB_EQ2->Size = System::Drawing::Size(22, 13);
			this->LB_EQ2->TabIndex = 39;
			this->LB_EQ2->Text = S"-----";
			// 
			// LB_EQ1
			// 
			this->LB_EQ1->AutoSize = true;
			this->LB_EQ1->Location = System::Drawing::Point(138, 21);
			this->LB_EQ1->Name = S"LB_EQ1";
			this->LB_EQ1->Size = System::Drawing::Size(22, 13);
			this->LB_EQ1->TabIndex = 38;
			this->LB_EQ1->Text = S"-----";
			// 
			// textBox19
			// 
			this->textBox19->Location = System::Drawing::Point(264, 224);
			this->textBox19->Name = S"textBox19";
			this->textBox19->Size = System::Drawing::Size(69, 20);
			this->textBox19->TabIndex = 37;
			this->textBox19->Tag = S"EQ_ID17";
			this->textBox19->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox19->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label18
			// 
			this->label18->AutoSize = true;
			this->label18->Location = System::Drawing::Point(217, 227);
			this->label18->Name = S"label18";
			this->label18->Size = System::Drawing::Size(31, 13);
			this->label18->TabIndex = 36;
			this->label18->Text = S"副手";
			// 
			// textBox20
			// 
			this->textBox20->Location = System::Drawing::Point(264, 164);
			this->textBox20->Name = S"textBox20";
			this->textBox20->Size = System::Drawing::Size(69, 20);
			this->textBox20->TabIndex = 35;
			this->textBox20->Tag = S"EQ_ID15";
			this->textBox20->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox20->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label19
			// 
			this->label19->AutoSize = true;
			this->label19->Location = System::Drawing::Point(217, 166);
			this->label19->Name = S"label19";
			this->label19->Size = System::Drawing::Size(31, 13);
			this->label19->TabIndex = 34;
			this->label19->Text = S"耳飾";
			// 
			// textBox21
			// 
			this->textBox21->Location = System::Drawing::Point(63, 224);
			this->textBox21->Name = S"textBox21";
			this->textBox21->Size = System::Drawing::Size(69, 20);
			this->textBox21->TabIndex = 33;
			this->textBox21->Tag = S"EQ_ID16";
			this->textBox21->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox21->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label20
			// 
			this->label20->AutoSize = true;
			this->label20->Location = System::Drawing::Point(16, 227);
			this->label20->Name = S"label20";
			this->label20->Size = System::Drawing::Size(31, 13);
			this->label20->TabIndex = 32;
			this->label20->Text = S"主手";
			// 
			// textBox22
			// 
			this->textBox22->Location = System::Drawing::Point(63, 250);
			this->textBox22->Name = S"textBox22";
			this->textBox22->Size = System::Drawing::Size(69, 20);
			this->textBox22->TabIndex = 31;
			this->textBox22->Tag = S"EQ_ID18";
			this->textBox22->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox22->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label21
			// 
			this->label21->AutoSize = true;
			this->label21->Location = System::Drawing::Point(10, 252);
			this->label21->Name = S"label21";
			this->label21->Size = System::Drawing::Size(55, 13);
			this->label21->TabIndex = 30;
			this->label21->Text = S"生產製造";
			// 
			// textBox12
			// 
			this->textBox12->Location = System::Drawing::Point(264, 140);
			this->textBox12->Name = S"textBox12";
			this->textBox12->Size = System::Drawing::Size(69, 20);
			this->textBox12->TabIndex = 29;
			this->textBox12->Tag = S"EQ_ID14";
			this->textBox12->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox12->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label11
			// 
			this->label11->AutoSize = true;
			this->label11->Location = System::Drawing::Point(217, 142);
			this->label11->Name = S"label11";
			this->label11->Size = System::Drawing::Size(31, 13);
			this->label11->TabIndex = 28;
			this->label11->Text = S"耳飾";
			// 
			// textBox13
			// 
			this->textBox13->Location = System::Drawing::Point(264, 115);
			this->textBox13->Name = S"textBox13";
			this->textBox13->Size = System::Drawing::Size(69, 20);
			this->textBox13->TabIndex = 27;
			this->textBox13->Tag = S"EQ_ID13";
			this->textBox13->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox13->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label12
			// 
			this->label12->AutoSize = true;
			this->label12->Location = System::Drawing::Point(217, 118);
			this->label12->Name = S"label12";
			this->label12->Size = System::Drawing::Size(31, 13);
			this->label12->TabIndex = 26;
			this->label12->Text = S"戒子";
			// 
			// textBox14
			// 
			this->textBox14->Location = System::Drawing::Point(264, 91);
			this->textBox14->Name = S"textBox14";
			this->textBox14->Size = System::Drawing::Size(69, 20);
			this->textBox14->TabIndex = 25;
			this->textBox14->Tag = S"EQ_ID12";
			this->textBox14->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox14->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label13
			// 
			this->label13->AutoSize = true;
			this->label13->Location = System::Drawing::Point(217, 94);
			this->label13->Name = S"label13";
			this->label13->Size = System::Drawing::Size(31, 13);
			this->label13->TabIndex = 24;
			this->label13->Text = S"戒子";
			// 
			// textBox15
			// 
			this->textBox15->Location = System::Drawing::Point(264, 67);
			this->textBox15->Name = S"textBox15";
			this->textBox15->Size = System::Drawing::Size(69, 20);
			this->textBox15->TabIndex = 23;
			this->textBox15->Tag = S"EQ_ID11";
			this->textBox15->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox15->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label14
			// 
			this->label14->AutoSize = true;
			this->label14->Location = System::Drawing::Point(217, 69);
			this->label14->Name = S"label14";
			this->label14->Size = System::Drawing::Size(19, 13);
			this->label14->TabIndex = 22;
			this->label14->Text = S"弓";
			// 
			// textBox16
			// 
			this->textBox16->Location = System::Drawing::Point(264, 42);
			this->textBox16->Name = S"textBox16";
			this->textBox16->Size = System::Drawing::Size(69, 20);
			this->textBox16->TabIndex = 21;
			this->textBox16->Tag = S"EQ_ID10";
			this->textBox16->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox16->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label15
			// 
			this->label15->AutoSize = true;
			this->label15->Location = System::Drawing::Point(217, 45);
			this->label15->Name = S"label15";
			this->label15->Size = System::Drawing::Size(31, 13);
			this->label15->TabIndex = 20;
			this->label15->Text = S"彈藥";
			// 
			// textBox17
			// 
			this->textBox17->Location = System::Drawing::Point(264, 18);
			this->textBox17->Name = S"textBox17";
			this->textBox17->Size = System::Drawing::Size(69, 20);
			this->textBox17->TabIndex = 19;
			this->textBox17->Tag = S"EQ_ID9";
			this->textBox17->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox17->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label16
			// 
			this->label16->AutoSize = true;
			this->label16->Location = System::Drawing::Point(217, 21);
			this->label16->Name = S"label16";
			this->label16->Size = System::Drawing::Size(31, 13);
			this->label16->TabIndex = 18;
			this->label16->Text = S"項鍊";
			// 
			// textBox18
			// 
			this->textBox18->Location = System::Drawing::Point(63, 191);
			this->textBox18->Name = S"textBox18";
			this->textBox18->Size = System::Drawing::Size(69, 20);
			this->textBox18->TabIndex = 17;
			this->textBox18->Tag = S"EQ_ID8";
			this->textBox18->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox18->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label17
			// 
			this->label17->AutoSize = true;
			this->label17->Location = System::Drawing::Point(16, 193);
			this->label17->Name = S"label17";
			this->label17->Size = System::Drawing::Size(31, 13);
			this->label17->TabIndex = 16;
			this->label17->Text = S"肩甲";
			// 
			// textBox11
			// 
			this->textBox11->Location = System::Drawing::Point(63, 164);
			this->textBox11->Name = S"textBox11";
			this->textBox11->Size = System::Drawing::Size(69, 20);
			this->textBox11->TabIndex = 15;
			this->textBox11->Tag = S"EQ_ID7";
			this->textBox11->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox11->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label10
			// 
			this->label10->AutoSize = true;
			this->label10->Location = System::Drawing::Point(16, 166);
			this->label10->Name = S"label10";
			this->label10->Size = System::Drawing::Size(31, 13);
			this->label10->TabIndex = 14;
			this->label10->Text = S"腰帶";
			// 
			// textBox10
			// 
			this->textBox10->Location = System::Drawing::Point(63, 140);
			this->textBox10->Name = S"textBox10";
			this->textBox10->Size = System::Drawing::Size(69, 20);
			this->textBox10->TabIndex = 13;
			this->textBox10->Tag = S"EQ_ID6";
			this->textBox10->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox10->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label9
			// 
			this->label9->AutoSize = true;
			this->label9->Location = System::Drawing::Point(16, 142);
			this->label9->Name = S"label9";
			this->label9->Size = System::Drawing::Size(31, 13);
			this->label9->TabIndex = 12;
			this->label9->Text = S"背部";
			// 
			// textBox9
			// 
			this->textBox9->Location = System::Drawing::Point(63, 115);
			this->textBox9->Name = S"textBox9";
			this->textBox9->Size = System::Drawing::Size(69, 20);
			this->textBox9->TabIndex = 11;
			this->textBox9->Tag = S"EQ_ID5";
			this->textBox9->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox9->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label8
			// 
			this->label8->AutoSize = true;
			this->label8->Location = System::Drawing::Point(16, 118);
			this->label8->Name = S"label8";
			this->label8->Size = System::Drawing::Size(31, 13);
			this->label8->TabIndex = 10;
			this->label8->Text = S"褲子";
			// 
			// textBox8
			// 
			this->textBox8->Location = System::Drawing::Point(63, 91);
			this->textBox8->Name = S"textBox8";
			this->textBox8->Size = System::Drawing::Size(69, 20);
			this->textBox8->TabIndex = 9;
			this->textBox8->Tag = S"EQ_ID4";
			this->textBox8->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox8->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label7
			// 
			this->label7->AutoSize = true;
			this->label7->Location = System::Drawing::Point(16, 94);
			this->label7->Name = S"label7";
			this->label7->Size = System::Drawing::Size(31, 13);
			this->label7->TabIndex = 8;
			this->label7->Text = S"上衣";
			// 
			// textBox7
			// 
			this->textBox7->Location = System::Drawing::Point(63, 67);
			this->textBox7->Name = S"textBox7";
			this->textBox7->Size = System::Drawing::Size(69, 20);
			this->textBox7->TabIndex = 7;
			this->textBox7->Tag = S"EQ_ID3";
			this->textBox7->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox7->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label6
			// 
			this->label6->AutoSize = true;
			this->label6->Location = System::Drawing::Point(16, 69);
			this->label6->Name = S"label6";
			this->label6->Size = System::Drawing::Size(31, 13);
			this->label6->TabIndex = 6;
			this->label6->Text = S"鞋子";
			// 
			// textBox6
			// 
			this->textBox6->Location = System::Drawing::Point(63, 42);
			this->textBox6->Name = S"textBox6";
			this->textBox6->Size = System::Drawing::Size(69, 20);
			this->textBox6->TabIndex = 5;
			this->textBox6->Tag = S"EQ_ID2";
			this->textBox6->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox6->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label5
			// 
			this->label5->AutoSize = true;
			this->label5->Location = System::Drawing::Point(16, 45);
			this->label5->Name = S"label5";
			this->label5->Size = System::Drawing::Size(31, 13);
			this->label5->TabIndex = 4;
			this->label5->Text = S"手套";
			// 
			// textBox5
			// 
			this->textBox5->Location = System::Drawing::Point(63, 18);
			this->textBox5->Name = S"textBox5";
			this->textBox5->Size = System::Drawing::Size(69, 20);
			this->textBox5->TabIndex = 3;
			this->textBox5->Tag = S"EQ_ID1";
			this->textBox5->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->textBox5->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label4
			// 
			this->label4->AutoSize = true;
			this->label4->Location = System::Drawing::Point(16, 21);
			this->label4->Name = S"label4";
			this->label4->Size = System::Drawing::Size(19, 13);
			this->label4->TabIndex = 2;
			this->label4->Text = S"頭";
			// 
			// comboBox1
			// 
			this->comboBox1->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox1->FormattingEnabled = true;
			System::Object* __mcTemp__2[] = new System::Object*[10];
			__mcTemp__2[0] = S"戰士";
			__mcTemp__2[1] = S"遊俠";
			__mcTemp__2[2] = S"盜賊";
			__mcTemp__2[3] = S"法師";
			__mcTemp__2[4] = S"僧侶";
			__mcTemp__2[5] = S"騎士";
			__mcTemp__2[6] = S"森林牧者";
			__mcTemp__2[7] = S"自然神官";
			__mcTemp__2[8] = S"靈能者";
			__mcTemp__2[9] = S"戰爭工匠";
			this->comboBox1->Items->AddRange(__mcTemp__2);
			this->comboBox1->Location = System::Drawing::Point(54, 7);
			this->comboBox1->Name = S"comboBox1";
			this->comboBox1->Size = System::Drawing::Size(121, 21);
			this->comboBox1->TabIndex = 2;
			this->comboBox1->Tag = S"Job";
			this->comboBox1->SelectedIndexChanged += new System::EventHandler(this, &CreateRoleForm::GetIndex_SelectedIndexChanged);
			// 
			// label3
			// 
			this->label3->AutoSize = true;
			this->label3->Location = System::Drawing::Point(15, 10);
			this->label3->Name = S"label3";
			this->label3->Size = System::Drawing::Size(31, 13);
			this->label3->TabIndex = 1;
			this->label3->Text = S"職業";
			// 
			// groupBox1
			// 
			this->groupBox1->Controls->Add(this->textBox33);
			this->groupBox1->Controls->Add(this->textBox4);
			this->groupBox1->Controls->Add(this->textBox3);
			this->groupBox1->Controls->Add(this->textBox2);
			this->groupBox1->Controls->Add(this->label2);
			this->groupBox1->Controls->Add(this->textBox1);
			this->groupBox1->Controls->Add(this->label1);
			this->groupBox1->Location = System::Drawing::Point(3, 32);
			this->groupBox1->Name = S"groupBox1";
			this->groupBox1->Size = System::Drawing::Size(333, 69);
			this->groupBox1->TabIndex = 0;
			this->groupBox1->TabStop = false;
			this->groupBox1->Text = S"出生點";
			// 
			// textBox33
			// 
			this->textBox33->Location = System::Drawing::Point(252, 39);
			this->textBox33->Name = S"textBox33";
			this->textBox33->Size = System::Drawing::Size(61, 20);
			this->textBox33->TabIndex = 6;
			this->textBox33->Tag = S"BornPosDir";
			this->textBox33->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// textBox4
			// 
			this->textBox4->Location = System::Drawing::Point(185, 39);
			this->textBox4->Name = S"textBox4";
			this->textBox4->Size = System::Drawing::Size(61, 20);
			this->textBox4->TabIndex = 5;
			this->textBox4->Tag = S"BornPosZ";
			this->textBox4->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// textBox3
			// 
			this->textBox3->Location = System::Drawing::Point(118, 39);
			this->textBox3->Name = S"textBox3";
			this->textBox3->Size = System::Drawing::Size(61, 20);
			this->textBox3->TabIndex = 4;
			this->textBox3->Tag = S"BornPosY";
			this->textBox3->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// textBox2
			// 
			this->textBox2->Location = System::Drawing::Point(51, 39);
			this->textBox2->Name = S"textBox2";
			this->textBox2->Size = System::Drawing::Size(61, 20);
			this->textBox2->TabIndex = 3;
			this->textBox2->Tag = S"BornPosX";
			this->textBox2->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label2
			// 
			this->label2->AutoSize = true;
			this->label2->Location = System::Drawing::Point(10, 46);
			this->label2->Name = S"label2";
			this->label2->Size = System::Drawing::Size(31, 13);
			this->label2->TabIndex = 2;
			this->label2->Text = S"位置";
			// 
			// textBox1
			// 
			this->textBox1->Location = System::Drawing::Point(51, 15);
			this->textBox1->Name = S"textBox1";
			this->textBox1->Size = System::Drawing::Size(44, 20);
			this->textBox1->TabIndex = 1;
			this->textBox1->Tag = S"BornPosZoneID";
			this->textBox1->TextChanged += new System::EventHandler(this, &CreateRoleForm::GetIntValue_TextChanged);
			// 
			// label1
			// 
			this->label1->AutoSize = true;
			this->label1->Location = System::Drawing::Point(4, 17);
			this->label1->Name = S"label1";
			this->label1->Size = System::Drawing::Size(43, 13);
			this->label1->TabIndex = 0;
			this->label1->Text = S"ZoneID";
			// 
			// CreateRoleForm
			// 
			this->AutoScaleBaseSize = System::Drawing::Size(5, 13);
			this->ClientSize = System::Drawing::Size(894, 646);
			this->Controls->Add(this->panel1);
			this->Name = S"CreateRoleForm";
			this->Text = S"CreateRoleForm";
			this->DoubleClick += new System::EventHandler(this, &CreateRoleForm::SearchItemClick);
			this->panel1->ResumeLayout(false);
			this->panel1->PerformLayout();
			this->groupBox5->ResumeLayout(false);
			this->groupBox5->PerformLayout();
			this->groupBox4->ResumeLayout(false);
			this->groupBox3->ResumeLayout(false);
			this->groupBox3->PerformLayout();
			this->groupBox2->ResumeLayout(false);
			this->groupBox2->PerformLayout();
			this->groupBox1->ResumeLayout(false);
			this->groupBox1->PerformLayout();
			this->ResumeLayout(false);

		}		




#ifndef _Just_Show_DotNet_Form_
    private:
        System::Void GetStr_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetValue_ValueChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void ChangeFlag(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIndex_SelectedIndexChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIntValue_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void BaseForm_Closing(System::Object *  sender, System::ComponentModel::CancelEventArgs *  e);
        System::Void SearchObj_DClick(System::Object *  sender, System::EventArgs *  e);

        System::Void SearchMagicClick(System::Object *  sender, System::EventArgs *  e);
        System::Void SearchItemClick(System::Object *  sender, System::EventArgs *  e);
        System::Void SearchWeaponClick(System::Object *  sender, System::EventArgs *  e);
        System::Void SearchArmorClick(System::Object *  sender, System::EventArgs *  e);
        System::Void SearchImageClick(System::Object *  sender, System::EventArgs *  e);
		System::Void Select_Ability_Click(System::Object*  sender, System::EventArgs*  e);
#endif
    protected:
        //######################################################################################################
        //主要需要繼承的涵式
        virtual ReaderClass< DB_GameObjDbStruct >* ObjReader( );       
        virtual void    OnActive();
        virtual void    OnSelectObj( bool LockOk );
        //輸出時額外設定
        virtual void    OnOutputObjSetting( DB_GameObjDbStruct* TempObj );
        virtual void    OnTimeProc();
        virtual int     ObjSize();
        virtual void    OnValueChange();
        //######################################################################################################

private: System::Void groupBox3_Enter(System::Object*  sender, System::EventArgs*  e) {
		 }
private: System::Void label37_Click(System::Object*  sender, System::EventArgs*  e) {
		 }
private: System::Void label35_Click(System::Object*  sender, System::EventArgs*  e) {
		 }
private: System::Void LBPreview_EQ2_Click(System::Object*  sender, System::EventArgs*  e) {
		 }
};
}